summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2016-07-27 20:22:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:51 +0700
commit8dc5abb227b1593b9d8638663e2538da05f1332c (patch)
treeed15b1217b2ee2e7ef2329cff56b8c2d9c6f43e8 /multimedia
parent25418cc20adaee204828707bbee3d9c266b5204c (diff)
downloadslackbuilds-8dc5abb227b1593b9d8638663e2538da05f1332c.tar.gz
slackbuilds-8dc5abb227b1593b9d8638663e2538da05f1332c.tar.xz
multimedia/aces_container: Added (ACES file writer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/aces_container/README16
-rw-r--r--multimedia/aces_container/aces_container.SlackBuild89
-rw-r--r--multimedia/aces_container/aces_container.info10
-rw-r--r--multimedia/aces_container/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/multimedia/aces_container/README b/multimedia/aces_container/README
new file mode 100644
index 0000000000..cbe0bedb95
--- /dev/null
+++ b/multimedia/aces_container/README
@@ -0,0 +1,16 @@
+A reference implementation for an ACES container file writer intended
+to be used with the Academy Color Encoding System (ACES). The
+resulting file is compliant with the ACES container specification
+(SMPTE S2065-4).
+
+NOT included in this reference implementation:
+
+* Stereo channels
+* EndOfFileFiller
+* Arbitrary attributes and naming validations
+* half type attributes
+* keycode value validations
+
+You'll want this if you are working in an ACES workflow, in the motion
+picture industry, and do not otherwise have anything to output to an
+ACES file (for instance, if you are using ctlrender independently). \ No newline at end of file
diff --git a/multimedia/aces_container/aces_container.SlackBuild b/multimedia/aces_container/aces_container.SlackBuild
new file mode 100644
index 0000000000..1b89830ac0
--- /dev/null
+++ b/multimedia/aces_container/aces_container.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for aces_container
+
+# Copyright 2016 Klaatu
+# All rights reserved.
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=aces_container
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v"$VERSION".tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+PKG_CONFIG_PATH="$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig:$PKG_CONFIG_PATH" \
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_CMAKE_DIR=/usr/lib"${LIBDIRSUFFIX}" \
+ -DINSTALL_LIB_DIR=/usr/lib"${LIBDIRSUFFIX}" \
+ -DCMAKE_BUILD_TYPE=Release ..
+make
+# force override for pkgconfig dest
+sed -i "s%lib/pkgconfig%lib$LIBDIRSUFFIX/pkgconfig%g" $TMP/$PRGNAM-$VERSION/build/cmake_install.cmake
+
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/aces_container/aces_container.info b/multimedia/aces_container/aces_container.info
new file mode 100644
index 0000000000..4824dcc135
--- /dev/null
+++ b/multimedia/aces_container/aces_container.info
@@ -0,0 +1,10 @@
+PRGNAM="aces_container"
+VERSION="1.0.1"
+HOMEPAGE="http://www.oscars.org/aces"
+DOWNLOAD="https://github.com/ampas/aces_container/archive/v1.0.1.tar.gz"
+MD5SUM="8c7317267b9feed95187e19f7a573917"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/multimedia/aces_container/slack-desc b/multimedia/aces_container/slack-desc
new file mode 100644
index 0000000000..a82192310a
--- /dev/null
+++ b/multimedia/aces_container/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aces_container: aces_container (ACES file writer)
+aces_container:
+aces_container: A reference implementation for an ACES container file writer
+aces_container: for use with the Academy Color Encoding System (ACES). The
+aces_container: resulting file is compliant with the ACES container specification
+aces_container: (SMPTE S2065-4).
+aces_container:
+aces_container: Info: http://www.oscars.org/aces
+aces_container:
+aces_container: Source: https://github.com/ampas/aces_container
+aces_container: